diff --git a/wcs/wf/wscall.py b/wcs/wf/wscall.py
index 1819025ef..11c04e681 100644
--- a/wcs/wf/wscall.py
+++ b/wcs/wf/wscall.py
@@ -15,15 +15,14 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import datetime
+import io
 import sys
 import traceback
 import xml.etree.ElementTree as ET
 import collections
 import mimetypes
 
-from django.utils import six
 from django.utils.encoding import force_text
-from django.utils.six import BytesIO
 
 from quixote.html import TemplateIO, htmltext
 
@@ -463,7 +462,7 @@ class WebserviceCallStatusItem(WorkflowStatusItem):
             filename, content_type = self.get_attachment_data(response)
             workflow_data['%s_content_type' % self.varname] = content_type
             workflow_data['%s_length' % self.varname] = len(data)
-            fp_content = BytesIO(data)
+            fp_content = io.BytesIO(data)
             attachment = AttachmentEvolutionPart(
                 filename, fp_content, content_type=content_type, varname=self.varname
             )
@@ -562,11 +561,11 @@ class WebserviceCallStatusItem(WorkflowStatusItem):
         el = ET.SubElement(xml_item, attribute)
         for (key, value) in getattr(self, attribute).items():
             item = ET.SubElement(el, 'item')
-            if isinstance(key, six.string_types):
+            if isinstance(key, str):
                 ET.SubElement(item, 'name').text = force_text(key)
             else:
                 raise AssertionError('unknown type for key (%r)' % key)
-            if isinstance(value, six.string_types):
+            if isinstance(value, str):
                 ET.SubElement(item, 'value').text = force_text(value)
             else:
                 raise AssertionError('unknown type for value (%r)' % key)
diff --git a/wcs/workflows.py b/wcs/workflows.py
index 69ff7739e..beb867281 100644
--- a/wcs/workflows.py
+++ b/wcs/workflows.py
@@ -25,7 +25,6 @@ import sys
 import time
 import uuid
 
-from django.utils import six
 from django.utils.encoding import force_text
 
 from quixote import get_request, get_response, redirect
@@ -938,7 +937,7 @@ class XmlSerialisable(object):
                         atname = 'item'
                     for v in val:
                         ET.SubElement(el, atname).text = force_text(str(v), charset, errors='replace')
-                elif isinstance(val, six.string_types):
+                elif isinstance(val, str):
                     el.text = force_text(val, charset, errors='replace')
                 else:
                     el.text = str(val)
@@ -970,9 +969,7 @@ class XmlSerialisable(object):
             else:
                 if el.text is None:
                     setattr(self, attribute, None)
-                elif el.text in ('False', 'True') and not isinstance(
-                    getattr(self, attribute), six.string_types
-                ):
+                elif el.text in ('False', 'True') and not isinstance(getattr(self, attribute), str):
                     # booleans
                     setattr(self, attribute, el.text == 'True')
                 elif type(getattr(self, attribute)) is int:
@@ -1311,7 +1308,7 @@ class WorkflowGlobalActionTimeoutTrigger(WorkflowGlobalActionTrigger):
             )
         elif isinstance(anchor_date, time.struct_time):
             anchor_date = datetime.datetime.fromtimestamp(time.mktime(anchor_date))
-        elif isinstance(anchor_date, six.string_types) and anchor_date:
+        elif isinstance(anchor_date, str) and anchor_date:
             try:
                 anchor_date = get_as_datetime(anchor_date)
             except ValueError:
@@ -2076,7 +2073,7 @@ class WorkflowStatusItem(XmlSerialisable):
         formdata=None,
         status_item=None,
     ):
-        if not isinstance(var, six.string_types):
+        if not isinstance(var, str):
             return var
 
         expression = cls.get_expression(var)
@@ -2919,7 +2916,7 @@ class SendmailWorkflowStatusItem(WorkflowStatusItem):
         # this works around the fact that parametric workflows only support
         # string values, so if we get set a string, we convert it here to an
         # array.
-        if isinstance(self.to, six.string_types):
+        if isinstance(self.to, str):
             self.to = [self.to]
 
         addresses = []
@@ -2935,7 +2932,7 @@ class SendmailWorkflowStatusItem(WorkflowStatusItem):
             if isinstance(dest, list):
                 addresses.extend(dest)
                 continue
-            elif isinstance(dest, six.string_types) and ',' in dest:
+            elif isinstance(dest, str) and ',' in dest:
                 # if the email contains a comma consider it as a serie of
                 # emails
                 addresses.extend([x.strip() for x in dest.split(',')])
diff --git a/wcs/wscalls.py b/wcs/wscalls.py
index 13136f432..328b846c7 100644
--- a/wcs/wscalls.py
+++ b/wcs/wscalls.py
@@ -17,11 +17,10 @@
 import collections
 import json
 import sys
+import urllib.parse
 import xml.etree.ElementTree as ET
 
 from django.utils.encoding import force_text
-from django.utils.six.moves.urllib import parse as urllib
-from django.utils.six.moves.urllib import parse as urlparse
 
 from quixote import get_publisher, get_request
 
@@ -94,8 +93,8 @@ def call_webservice(
 
     if qs_data:  # merge qs_data into url
         publisher = get_publisher()
-        parsed = urlparse.urlparse(url)
-        qs = list(urlparse.parse_qsl(parsed.query))
+        parsed = urllib.parse.urlparse(url)
+        qs = list(urllib.parse.parse_qsl(parsed.query))
         for key, value in qs_data.items():
             try:
                 value = WorkflowStatusItem.compute(value, raises=True)
@@ -106,8 +105,8 @@ def call_webservice(
                 key = force_str(key)
                 value = force_str(value)
                 qs.append((key, value))
-        qs = urllib.urlencode(qs)
-        url = urlparse.urlunparse(parsed[:4] + (qs,) + parsed[5:6])
+        qs = urllib.parse.urlencode(qs)
+        url = urllib.parse.urlunparse(parsed[:4] + (qs,) + parsed[5:6])
 
     unsigned_url = url
 
-- 
2.30.1

